> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kombo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get rehire form

> Get the form for rehiring a former employee.

<Warning>**Closed Beta Feature:** This endpoint is now in closed beta. Please reach out to your account manager or [support](mailto:support@kombo.dev).</Warning>

Display the returned fields in your app, then submit the values to [Rehire employee](/hris/v1/post-employees-employee-id-form-rehire).

See [Rehire Employee](/hris/features/rehire-employee) for the workflow.

### Example Form

```json theme={null}
{
  "properties": {
    "startDate": {
      "type": "date",
      "label": "Start Date",
      "required": true,
      "description": "The first day of the new job",
      "unified_key": "start_date"
    },
    "jobTitle": {
      "type": "text",
      "label": "Job Title",
      "required": false,
      "description": "The job title of the new job",
      "unified_key": "job_title",
      "min_length": null,
      "max_length": null,
      "reg_exp": null
    }
  }
}
```


## OpenAPI

````yaml GET /hris/employees/{employee_id}/form/rehire
openapi: 3.1.0
info:
  title: Kombo API
  version: 1.0.0
servers:
  - url: https://api.kombo.dev/v1
    description: Kombo EU API
  - url: https://api.us.kombo.dev/v1
    description: Kombo US API
  - url: https://api.ca.kombo.dev/v1
    description: Kombo CA API
security:
  - ApiKey: []
tags:
  - name: General
  - name: Kombo Connect
    description: >-
      Endpoints for Kombo Connect, our end-user-facing flow for setting up new
      integrations.
  - name: Unified HRIS API
    description: Unified endpoints to access all the HR concepts you might need.
  - name: Unified ATS API
    description: Unified endpoints to access all the ATS concepts you might need.
  - name: Unified ATS (Assessment & Background Check) API
    description: >-
      Unified endpoints to operate Assessments and Background Checks for many
      applicant tracking systems.
  - name: Unified LMS API
    description: Unified endpoints to access all the LMS concepts you might need.
  - name: AI Apply
    description: Endpoints for AI-powered job application features.
  - name: Custom Endpoints
    description: Custom integration-specific endpoints.
paths:
  /hris/employees/{employee_id}/form/rehire:
    get:
      tags:
        - Unified HRIS API
      summary: Get rehire form
      description: >-
        Get the form for rehiring a former employee.




        <Warning>**Closed Beta Feature:** This endpoint is now in closed beta.
        Please reach out to your account manager or
        [support](mailto:support@kombo.dev).</Warning>




        Display the returned fields in your app, then submit the values to
        [Rehire employee](/hris/v1/post-employees-employee-id-form-rehire).


        See [Rehire Employee](/hris/features/rehire-employee) for the workflow.


        ### Example Form

        ```json

        {
          "properties": {
            "startDate": {
              "type": "date",
              "label": "Start Date",
              "required": true,
              "description": "The first day of the new job",
              "unified_key": "start_date"
            },
            "jobTitle": {
              "type": "text",
              "label": "Job Title",
              "required": false,
              "description": "The job title of the new job",
              "unified_key": "job_title",
              "min_length": null,
              "max_length": null,
              "reg_exp": null
            }
          }
        }

        ```
      operationId: GetHrisEmployeesEmployeeIdFormRehire
      parameters:
        - in: header
          name: X-Integration-Id
          schema:
            type: string
          description: ID of the integration you want to interact with.
          example: bamboohr:HWUTwvyx2wLoSUHphiWVrp28
          required: true
        - name: employee_id
          in: path
          required: true
          description: The Kombo ID or the HRIS ID of the employee.
          schema:
            $ref: >-
              #/components/schemas/GetHrisEmployeesEmployeeIdFormRehireParameterEmployeeId
          examples:
            example1:
              value: remote:12345
        - name: staffing_entity_id
          in: query
          required: false
          description: >-
            The Kombo ID of the position or requisition to rehire into. If
            provided, use the same ID for GET and POST. See [staffing
            entities](/hris/implementation-guide/staffing-entities-in-create-employee).
          schema:
            $ref: >-
              #/components/schemas/GetHrisEmployeesEmployeeIdFormRehireParameterStaffingEntityId
      responses:
        '200':
          description: GET /hris/employees/:employee_id/form/rehire Positive response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetHrisEmployeesEmployeeIdFormRehirePositiveResponse
              examples:
                example1:
                  value:
                    status: success
                    data:
                      properties:
                        startDate:
                          label: Start Date
                          required: true
                          description: The first day of the new job
                          unified_key: start_date
                          type: date
                        jobTitle:
                          label: Job Title
                          required: false
                          description: The job title of the new job
                          unified_key: job_title
                          type: text
                          min_length: null
                          max_length: null
                          reg_exp: null
        default:
          $ref: '#/components/responses/ErrorResponseHRIS'
components:
  schemas:
    GetHrisEmployeesEmployeeIdFormRehireParameterEmployeeId:
      type: string
      description: The Kombo ID or the HRIS ID of the employee.
      examples:
        - remote:12345
    GetHrisEmployeesEmployeeIdFormRehireParameterStaffingEntityId:
      type: string
      minLength: 24
      maxLength: 24
      pattern: ^[1-9A-HJ-NP-Za-km-z]+$
      description: >-
        The Kombo ID of the position or requisition to rehire into. If provided,
        use the same ID for GET and POST. See [staffing
        entities](/hris/implementation-guide/staffing-entities-in-create-employee).
    GetHrisEmployeesEmployeeIdFormRehirePositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            properties:
              type: object
              additionalProperties:
                discriminator:
                  propertyName: type
                anyOf:
                  - type: object
                    properties:
                      label:
                        type: string
                      required:
                        type: boolean
                      description:
                        type:
                          - string
                          - 'null'
                      unified_key:
                        type:
                          - string
                          - 'null'
                        enum:
                          - first_name
                          - last_name
                          - date_of_birth
                          - gender
                          - home_address.city
                          - home_address.country
                          - home_address.state
                          - home_address.street_1
                          - home_address.street_2
                          - home_address.zip_code
                          - job_title
                          - legal_entity_id
                          - location_id
                          - mobile_phone_number
                          - home_phone_number
                          - nationality
                          - start_date
                          - work_email
                          - private_email
                          - yearly_salary
                      type:
                        type: string
                        const: text
                      min_length:
                        type:
                          - number
                          - 'null'
                        format: double
                      max_length:
                        type:
                          - number
                          - 'null'
                        format: double
                      reg_exp:
                        type:
                          - string
                          - 'null'
                    required:
                      - label
                      - required
                      - type
                  - type: object
                    properties:
                      label:
                        type: string
                      required:
                        type: boolean
                      description:
                        type:
                          - string
                          - 'null'
                      unified_key:
                        type:
                          - string
                          - 'null'
                        enum:
                          - first_name
                          - last_name
                          - date_of_birth
                          - gender
                          - home_address.city
                          - home_address.country
                          - home_address.state
                          - home_address.street_1
                          - home_address.street_2
                          - home_address.zip_code
                          - job_title
                          - legal_entity_id
                          - location_id
                          - mobile_phone_number
                          - home_phone_number
                          - nationality
                          - start_date
                          - work_email
                          - private_email
                          - yearly_salary
                      type:
                        type: string
                        const: number
                      min:
                        type:
                          - number
                          - 'null'
                        format: double
                      max:
                        type:
                          - number
                          - 'null'
                        format: double
                    required:
                      - label
                      - required
                      - type
                  - type: object
                    properties:
                      label:
                        type: string
                      required:
                        type: boolean
                      description:
                        type:
                          - string
                          - 'null'
                      unified_key:
                        type:
                          - string
                          - 'null'
                        enum:
                          - first_name
                          - last_name
                          - date_of_birth
                          - gender
                          - home_address.city
                          - home_address.country
                          - home_address.state
                          - home_address.street_1
                          - home_address.street_2
                          - home_address.zip_code
                          - job_title
                          - legal_entity_id
                          - location_id
                          - mobile_phone_number
                          - home_phone_number
                          - nationality
                          - start_date
                          - work_email
                          - private_email
                          - yearly_salary
                      type:
                        type: string
                        const: date
                    required:
                      - label
                      - required
                      - type
                  - type: object
                    properties:
                      label:
                        type: string
                      required:
                        type: boolean
                      description:
                        type:
                          - string
                          - 'null'
                      unified_key:
                        type:
                          - string
                          - 'null'
                        enum:
                          - first_name
                          - last_name
                          - date_of_birth
                          - gender
                          - home_address.city
                          - home_address.country
                          - home_address.state
                          - home_address.street_1
                          - home_address.street_2
                          - home_address.zip_code
                          - job_title
                          - legal_entity_id
                          - location_id
                          - mobile_phone_number
                          - home_phone_number
                          - nationality
                          - start_date
                          - work_email
                          - private_email
                          - yearly_salary
                      type:
                        type: string
                        const: single_select
                      options:
                        discriminator:
                          propertyName: type
                        anyOf:
                          - type: object
                            properties:
                              type:
                                type: string
                                const: inline
                              entries:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    label:
                                      type: string
                                    unified_value:
                                      type: string
                                    remote_id:
                                      oneOf:
                                        - type: string
                                        - type: number
                                          format: double
                                  required:
                                    - id
                                    - label
                                    - remote_id
                            required:
                              - type
                              - entries
                          - type: object
                            properties:
                              type:
                                type: string
                                const: referenced
                              link:
                                type: string
                            required:
                              - type
                              - link
                    required:
                      - label
                      - required
                      - type
                      - options
                  - type: object
                    properties:
                      label:
                        type: string
                      required:
                        type: boolean
                      description:
                        type:
                          - string
                          - 'null'
                      unified_key:
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                        const: multi_select
                      min_items:
                        type:
                          - number
                          - 'null'
                        format: double
                      max_items:
                        type:
                          - number
                          - 'null'
                        format: double
                      options:
                        discriminator:
                          propertyName: type
                        anyOf:
                          - type: object
                            properties:
                              type:
                                type: string
                                const: inline
                              entries:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    label:
                                      type: string
                                    unified_value:
                                      type: string
                                    remote_id:
                                      oneOf:
                                        - type: string
                                        - type: number
                                          format: double
                                  required:
                                    - id
                                    - label
                                    - remote_id
                            required:
                              - type
                              - entries
                          - type: object
                            properties:
                              type:
                                type: string
                                const: referenced
                              link:
                                type: string
                            required:
                              - type
                              - link
                    required:
                      - label
                      - required
                      - type
                      - options
                  - type: object
                    properties:
                      label:
                        type: string
                      required:
                        type: boolean
                      description:
                        type:
                          - string
                          - 'null'
                      unified_key:
                        type:
                          - string
                          - 'null'
                        enum:
                          - first_name
                          - last_name
                          - date_of_birth
                          - gender
                          - home_address.city
                          - home_address.country
                          - home_address.state
                          - home_address.street_1
                          - home_address.street_2
                          - home_address.zip_code
                          - job_title
                          - legal_entity_id
                          - location_id
                          - mobile_phone_number
                          - home_phone_number
                          - nationality
                          - start_date
                          - work_email
                          - private_email
                          - yearly_salary
                      type:
                        type: string
                        const: checkbox
                    required:
                      - label
                      - required
                      - type
                  - type: object
                    properties:
                      label:
                        type: string
                      required:
                        type: boolean
                      description:
                        type:
                          - string
                          - 'null'
                      unified_key:
                        type:
                          - string
                          - 'null'
                        enum:
                          - first_name
                          - last_name
                          - date_of_birth
                          - gender
                          - home_address.city
                          - home_address.country
                          - home_address.state
                          - home_address.street_1
                          - home_address.street_2
                          - home_address.zip_code
                          - job_title
                          - legal_entity_id
                          - location_id
                          - mobile_phone_number
                          - home_phone_number
                          - nationality
                          - start_date
                          - work_email
                          - private_email
                          - yearly_salary
                      type:
                        type: string
                        const: object
                      properties:
                        $ref: '#/components/schemas/Schema1'
                    required:
                      - label
                      - required
                      - type
                      - properties
                  - type: object
                    properties:
                      label:
                        type: string
                      required:
                        type: boolean
                      description:
                        type:
                          - string
                          - 'null'
                      unified_key:
                        type:
                          - string
                          - 'null'
                        enum:
                          - first_name
                          - last_name
                          - date_of_birth
                          - gender
                          - home_address.city
                          - home_address.country
                          - home_address.state
                          - home_address.street_1
                          - home_address.street_2
                          - home_address.zip_code
                          - job_title
                          - legal_entity_id
                          - location_id
                          - mobile_phone_number
                          - home_phone_number
                          - nationality
                          - start_date
                          - work_email
                          - private_email
                          - yearly_salary
                      type:
                        type: string
                        const: array
                      item_type:
                        $ref: '#/components/schemas/Schema2'
                      min_items:
                        type:
                          - number
                          - 'null'
                        format: double
                      max_items:
                        type:
                          - number
                          - 'null'
                        format: double
                    required:
                      - label
                      - required
                      - type
                      - item_type
                  - type: object
                    properties:
                      label:
                        type: string
                      required:
                        type: boolean
                      description:
                        type:
                          - string
                          - 'null'
                      unified_key:
                        type:
                          - string
                          - 'null'
                        enum:
                          - first_name
                          - last_name
                          - date_of_birth
                          - gender
                          - home_address.city
                          - home_address.country
                          - home_address.state
                          - home_address.street_1
                          - home_address.street_2
                          - home_address.zip_code
                          - job_title
                          - legal_entity_id
                          - location_id
                          - mobile_phone_number
                          - home_phone_number
                          - nationality
                          - start_date
                          - work_email
                          - private_email
                          - yearly_salary
                      type:
                        type: string
                        const: file
                      file_restrictions:
                        type: object
                        properties:
                          accepted_mime_types:
                            type: array
                            items:
                              type: string
                          max_file_size:
                            type:
                              - number
                              - 'null'
                            format: double
                        required:
                          - accepted_mime_types
                    required:
                      - label
                      - required
                      - type
                      - file_restrictions
          required:
            - properties
          examples:
            - properties:
                startDate:
                  label: Start Date
                  required: true
                  description: The first day of the new job
                  unified_key: start_date
                  type: date
                jobTitle:
                  label: Job Title
                  required: false
                  description: The job title of the new job
                  unified_key: job_title
                  type: text
                  min_length: null
                  max_length: null
                  reg_exp: null
      required:
        - status
        - data
    Schema1:
      type: object
      additionalProperties:
        discriminator:
          propertyName: type
        anyOf:
          - type: object
            properties:
              label:
                type: string
              required:
                type: boolean
              description:
                type:
                  - string
                  - 'null'
              unified_key:
                type:
                  - string
                  - 'null'
                enum:
                  - first_name
                  - last_name
                  - date_of_birth
                  - gender
                  - home_address.city
                  - home_address.country
                  - home_address.state
                  - home_address.street_1
                  - home_address.street_2
                  - home_address.zip_code
                  - job_title
                  - legal_entity_id
                  - location_id
                  - mobile_phone_number
                  - home_phone_number
                  - nationality
                  - start_date
                  - work_email
                  - private_email
                  - yearly_salary
              type:
                type: string
                const: text
              min_length:
                type:
                  - number
                  - 'null'
                format: double
              max_length:
                type:
                  - number
                  - 'null'
                format: double
              reg_exp:
                type:
                  - string
                  - 'null'
            required:
              - label
              - required
              - type
          - type: object
            properties:
              label:
                type: string
              required:
                type: boolean
              description:
                type:
                  - string
                  - 'null'
              unified_key:
                type:
                  - string
                  - 'null'
                enum:
                  - first_name
                  - last_name
                  - date_of_birth
                  - gender
                  - home_address.city
                  - home_address.country
                  - home_address.state
                  - home_address.street_1
                  - home_address.street_2
                  - home_address.zip_code
                  - job_title
                  - legal_entity_id
                  - location_id
                  - mobile_phone_number
                  - home_phone_number
                  - nationality
                  - start_date
                  - work_email
                  - private_email
                  - yearly_salary
              type:
                type: string
                const: number
              min:
                type:
                  - number
                  - 'null'
                format: double
              max:
                type:
                  - number
                  - 'null'
                format: double
            required:
              - label
              - required
              - type
          - type: object
            properties:
              label:
                type: string
              required:
                type: boolean
              description:
                type:
                  - string
                  - 'null'
              unified_key:
                type:
                  - string
                  - 'null'
                enum:
                  - first_name
                  - last_name
                  - date_of_birth
                  - gender
                  - home_address.city
                  - home_address.country
                  - home_address.state
                  - home_address.street_1
                  - home_address.street_2
                  - home_address.zip_code
                  - job_title
                  - legal_entity_id
                  - location_id
                  - mobile_phone_number
                  - home_phone_number
                  - nationality
                  - start_date
                  - work_email
                  - private_email
                  - yearly_salary
              type:
                type: string
                const: date
            required:
              - label
              - required
              - type
          - type: object
            properties:
              label:
                type: string
              required:
                type: boolean
              description:
                type:
                  - string
                  - 'null'
              unified_key:
                type:
                  - string
                  - 'null'
                enum:
                  - first_name
                  - last_name
                  - date_of_birth
                  - gender
                  - home_address.city
                  - home_address.country
                  - home_address.state
                  - home_address.street_1
                  - home_address.street_2
                  - home_address.zip_code
                  - job_title
                  - legal_entity_id
                  - location_id
                  - mobile_phone_number
                  - home_phone_number
                  - nationality
                  - start_date
                  - work_email
                  - private_email
                  - yearly_salary
              type:
                type: string
                const: single_select
              options:
                discriminator:
                  propertyName: type
                anyOf:
                  - type: object
                    properties:
                      type:
                        type: string
                        const: inline
                      entries:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            label:
                              type: string
                            unified_value:
                              type: string
                            remote_id:
                              oneOf:
                                - type: string
                                - type: number
                                  format: double
                          required:
                            - id
                            - label
                            - remote_id
                    required:
                      - type
                      - entries
                  - type: object
                    properties:
                      type:
                        type: string
                        const: referenced
                      link:
                        type: string
                    required:
                      - type
                      - link
            required:
              - label
              - required
              - type
              - options
          - type: object
            properties:
              label:
                type: string
              required:
                type: boolean
              description:
                type:
                  - string
                  - 'null'
              unified_key:
                type:
                  - string
                  - 'null'
              type:
                type: string
                const: multi_select
              min_items:
                type:
                  - number
                  - 'null'
                format: double
              max_items:
                type:
                  - number
                  - 'null'
                format: double
              options:
                discriminator:
                  propertyName: type
                anyOf:
                  - type: object
                    properties:
                      type:
                        type: string
                        const: inline
                      entries:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            label:
                              type: string
                            unified_value:
                              type: string
                            remote_id:
                              oneOf:
                                - type: string
                                - type: number
                                  format: double
                          required:
                            - id
                            - label
                            - remote_id
                    required:
                      - type
                      - entries
                  - type: object
                    properties:
                      type:
                        type: string
                        const: referenced
                      link:
                        type: string
                    required:
                      - type
                      - link
            required:
              - label
              - required
              - type
              - options
          - type: object
            properties:
              label:
                type: string
              required:
                type: boolean
              description:
                type:
                  - string
                  - 'null'
              unified_key:
                type:
                  - string
                  - 'null'
                enum:
                  - first_name
                  - last_name
                  - date_of_birth
                  - gender
                  - home_address.city
                  - home_address.country
                  - home_address.state
                  - home_address.street_1
                  - home_address.street_2
                  - home_address.zip_code
                  - job_title
                  - legal_entity_id
                  - location_id
                  - mobile_phone_number
                  - home_phone_number
                  - nationality
                  - start_date
                  - work_email
                  - private_email
                  - yearly_salary
              type:
                type: string
                const: checkbox
            required:
              - label
              - required
              - type
          - type: object
            properties:
              label:
                type: string
              required:
                type: boolean
              description:
                type:
                  - string
                  - 'null'
              unified_key:
                type:
                  - string
                  - 'null'
                enum:
                  - first_name
                  - last_name
                  - date_of_birth
                  - gender
                  - home_address.city
                  - home_address.country
                  - home_address.state
                  - home_address.street_1
                  - home_address.street_2
                  - home_address.zip_code
                  - job_title
                  - legal_entity_id
                  - location_id
                  - mobile_phone_number
                  - home_phone_number
                  - nationality
                  - start_date
                  - work_email
                  - private_email
                  - yearly_salary
              type:
                type: string
                const: object
              properties:
                $ref: '#/components/schemas/Schema1'
            required:
              - label
              - required
              - type
              - properties
          - type: object
            properties:
              label:
                type: string
              required:
                type: boolean
              description:
                type:
                  - string
                  - 'null'
              unified_key:
                type:
                  - string
                  - 'null'
                enum:
                  - first_name
                  - last_name
                  - date_of_birth
                  - gender
                  - home_address.city
                  - home_address.country
                  - home_address.state
                  - home_address.street_1
                  - home_address.street_2
                  - home_address.zip_code
                  - job_title
                  - legal_entity_id
                  - location_id
                  - mobile_phone_number
                  - home_phone_number
                  - nationality
                  - start_date
                  - work_email
                  - private_email
                  - yearly_salary
              type:
                type: string
                const: array
              item_type:
                $ref: '#/components/schemas/Schema2'
              min_items:
                type:
                  - number
                  - 'null'
                format: double
              max_items:
                type:
                  - number
                  - 'null'
                format: double
            required:
              - label
              - required
              - type
              - item_type
          - type: object
            properties:
              label:
                type: string
              required:
                type: boolean
              description:
                type:
                  - string
                  - 'null'
              unified_key:
                type:
                  - string
                  - 'null'
                enum:
                  - first_name
                  - last_name
                  - date_of_birth
                  - gender
                  - home_address.city
                  - home_address.country
                  - home_address.state
                  - home_address.street_1
                  - home_address.street_2
                  - home_address.zip_code
                  - job_title
                  - legal_entity_id
                  - location_id
                  - mobile_phone_number
                  - home_phone_number
                  - nationality
                  - start_date
                  - work_email
                  - private_email
                  - yearly_salary
              type:
                type: string
                const: file
              file_restrictions:
                type: object
                properties:
                  accepted_mime_types:
                    type: array
                    items:
                      type: string
                  max_file_size:
                    type:
                      - number
                      - 'null'
                    format: double
                required:
                  - accepted_mime_types
            required:
              - label
              - required
              - type
              - file_restrictions
    Schema2:
      discriminator:
        propertyName: type
      anyOf:
        - type: object
          properties:
            label:
              type: string
            required:
              type: boolean
            description:
              type:
                - string
                - 'null'
            unified_key:
              type:
                - string
                - 'null'
              enum:
                - first_name
                - last_name
                - date_of_birth
                - gender
                - home_address.city
                - home_address.country
                - home_address.state
                - home_address.street_1
                - home_address.street_2
                - home_address.zip_code
                - job_title
                - legal_entity_id
                - location_id
                - mobile_phone_number
                - home_phone_number
                - nationality
                - start_date
                - work_email
                - private_email
                - yearly_salary
            type:
              type: string
              const: text
            min_length:
              type:
                - number
                - 'null'
              format: double
            max_length:
              type:
                - number
                - 'null'
              format: double
            reg_exp:
              type:
                - string
                - 'null'
          required:
            - label
            - required
            - type
        - type: object
          properties:
            label:
              type: string
            required:
              type: boolean
            description:
              type:
                - string
                - 'null'
            unified_key:
              type:
                - string
                - 'null'
              enum:
                - first_name
                - last_name
                - date_of_birth
                - gender
                - home_address.city
                - home_address.country
                - home_address.state
                - home_address.street_1
                - home_address.street_2
                - home_address.zip_code
                - job_title
                - legal_entity_id
                - location_id
                - mobile_phone_number
                - home_phone_number
                - nationality
                - start_date
                - work_email
                - private_email
                - yearly_salary
            type:
              type: string
              const: number
            min:
              type:
                - number
                - 'null'
              format: double
            max:
              type:
                - number
                - 'null'
              format: double
          required:
            - label
            - required
            - type
        - type: object
          properties:
            label:
              type: string
            required:
              type: boolean
            description:
              type:
                - string
                - 'null'
            unified_key:
              type:
                - string
                - 'null'
              enum:
                - first_name
                - last_name
                - date_of_birth
                - gender
                - home_address.city
                - home_address.country
                - home_address.state
                - home_address.street_1
                - home_address.street_2
                - home_address.zip_code
                - job_title
                - legal_entity_id
                - location_id
                - mobile_phone_number
                - home_phone_number
                - nationality
                - start_date
                - work_email
                - private_email
                - yearly_salary
            type:
              type: string
              const: date
          required:
            - label
            - required
            - type
        - type: object
          properties:
            label:
              type: string
            required:
              type: boolean
            description:
              type:
                - string
                - 'null'
            unified_key:
              type:
                - string
                - 'null'
              enum:
                - first_name
                - last_name
                - date_of_birth
                - gender
                - home_address.city
                - home_address.country
                - home_address.state
                - home_address.street_1
                - home_address.street_2
                - home_address.zip_code
                - job_title
                - legal_entity_id
                - location_id
                - mobile_phone_number
                - home_phone_number
                - nationality
                - start_date
                - work_email
                - private_email
                - yearly_salary
            type:
              type: string
              const: single_select
            options:
              discriminator:
                propertyName: type
              anyOf:
                - type: object
                  properties:
                    type:
                      type: string
                      const: inline
                    entries:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          label:
                            type: string
                          unified_value:
                            type: string
                          remote_id:
                            oneOf:
                              - type: string
                              - type: number
                                format: double
                        required:
                          - id
                          - label
                          - remote_id
                  required:
                    - type
                    - entries
                - type: object
                  properties:
                    type:
                      type: string
                      const: referenced
                    link:
                      type: string
                  required:
                    - type
                    - link
          required:
            - label
            - required
            - type
            - options
        - type: object
          properties:
            label:
              type: string
            required:
              type: boolean
            description:
              type:
                - string
                - 'null'
            unified_key:
              type:
                - string
                - 'null'
            type:
              type: string
              const: multi_select
            min_items:
              type:
                - number
                - 'null'
              format: double
            max_items:
              type:
                - number
                - 'null'
              format: double
            options:
              discriminator:
                propertyName: type
              anyOf:
                - type: object
                  properties:
                    type:
                      type: string
                      const: inline
                    entries:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          label:
                            type: string
                          unified_value:
                            type: string
                          remote_id:
                            oneOf:
                              - type: string
                              - type: number
                                format: double
                        required:
                          - id
                          - label
                          - remote_id
                  required:
                    - type
                    - entries
                - type: object
                  properties:
                    type:
                      type: string
                      const: referenced
                    link:
                      type: string
                  required:
                    - type
                    - link
          required:
            - label
            - required
            - type
            - options
        - type: object
          properties:
            label:
              type: string
            required:
              type: boolean
            description:
              type:
                - string
                - 'null'
            unified_key:
              type:
                - string
                - 'null'
              enum:
                - first_name
                - last_name
                - date_of_birth
                - gender
                - home_address.city
                - home_address.country
                - home_address.state
                - home_address.street_1
                - home_address.street_2
                - home_address.zip_code
                - job_title
                - legal_entity_id
                - location_id
                - mobile_phone_number
                - home_phone_number
                - nationality
                - start_date
                - work_email
                - private_email
                - yearly_salary
            type:
              type: string
              const: checkbox
          required:
            - label
            - required
            - type
        - type: object
          properties:
            label:
              type: string
            required:
              type: boolean
            description:
              type:
                - string
                - 'null'
            unified_key:
              type:
                - string
                - 'null'
              enum:
                - first_name
                - last_name
                - date_of_birth
                - gender
                - home_address.city
                - home_address.country
                - home_address.state
                - home_address.street_1
                - home_address.street_2
                - home_address.zip_code
                - job_title
                - legal_entity_id
                - location_id
                - mobile_phone_number
                - home_phone_number
                - nationality
                - start_date
                - work_email
                - private_email
                - yearly_salary
            type:
              type: string
              const: object
            properties:
              $ref: '#/components/schemas/Schema1'
          required:
            - label
            - required
            - type
            - properties
        - type: object
          properties:
            label:
              type: string
            required:
              type: boolean
            description:
              type:
                - string
                - 'null'
            unified_key:
              type:
                - string
                - 'null'
              enum:
                - first_name
                - last_name
                - date_of_birth
                - gender
                - home_address.city
                - home_address.country
                - home_address.state
                - home_address.street_1
                - home_address.street_2
                - home_address.zip_code
                - job_title
                - legal_entity_id
                - location_id
                - mobile_phone_number
                - home_phone_number
                - nationality
                - start_date
                - work_email
                - private_email
                - yearly_salary
            type:
              type: string
              const: array
            item_type:
              $ref: '#/components/schemas/Schema2'
            min_items:
              type:
                - number
                - 'null'
              format: double
            max_items:
              type:
                - number
                - 'null'
              format: double
          required:
            - label
            - required
            - type
            - item_type
        - type: object
          properties:
            label:
              type: string
            required:
              type: boolean
            description:
              type:
                - string
                - 'null'
            unified_key:
              type:
                - string
                - 'null'
              enum:
                - first_name
                - last_name
                - date_of_birth
                - gender
                - home_address.city
                - home_address.country
                - home_address.state
                - home_address.street_1
                - home_address.street_2
                - home_address.zip_code
                - job_title
                - legal_entity_id
                - location_id
                - mobile_phone_number
                - home_phone_number
                - nationality
                - start_date
                - work_email
                - private_email
                - yearly_salary
            type:
              type: string
              const: file
            file_restrictions:
              type: object
              properties:
                accepted_mime_types:
                  type: array
                  items:
                    type: string
                max_file_size:
                  type:
                    - number
                    - 'null'
                  format: double
              required:
                - accepted_mime_types
          required:
            - label
            - required
            - type
            - file_restrictions
  responses:
    ErrorResponseHRIS:
      description: The standard error response with the error codes for the HRIS use case.
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type:
                      - string
                      - 'null'
                    enum:
                      - PLATFORM.RATE_LIMIT_EXCEEDED
                      - PLATFORM.CONCURRENCY_LIMIT_EXCEEDED
                      - PLATFORM.INTEGRATION_NOT_FOUND
                      - PLATFORM.INPUT_INVALID
                      - PLATFORM.UNKNOWN_ERROR
                      - PLATFORM.IP_NOT_WHITELISTED
                      - PLATFORM.AUTHENTICATION_INVALID
                      - PLATFORM.TASK_TIMED_OUT
                      - INTEGRATION.PERMISSION_MISSING
                      - INTEGRATION.AUTHENTICATION_INVALID
                      - INTEGRATION.QA_FAILED
                      - INTEGRATION.SETUP_SYNC_PENDING
                      - INTEGRATION.SETUP_INCOMPLETE
                      - INTEGRATION.INACTIVE
                      - INTEGRATION.MODEL_NOT_AVAILABLE
                      - INTEGRATION.MODEL_DISABLED
                      - INTEGRATION.ACTION_NOT_AVAILABLE
                      - INTEGRATION.ACTION_DISABLED
                      - REMOTE.SERVICE_UNAVAILABLE
                      - REMOTE.RATE_LIMIT_EXCEEDED
                      - REMOTE.INPUT_INVALID
                      - REMOTE.UNKNOWN_HTTP_ERROR
                      - HRIS.STAFFING_ENTITY_CLOSED
                      - HRIS.EMPLOYEE_ALREADY_EXISTS
                    example: HRIS.EMPLOYEE_ALREADY_EXISTS
                    description: >-
                      Some errors include an error code that can be used to
                      identify their cause. See the [Error Handling
                      Docs](https://docs.kombo.dev/guides/errors) for more
                      information. For your error handling logic please use the
                      error `code` instead of other properties (e.g. message,
                      http status code, ...).
                  title:
                    type:
                      - string
                      - 'null'
                    description: A static, human-readable label.
                  message:
                    type: string
                    description: >-
                      A dynamic, detailed description of what went wrong in this
                      specific instance.
                  log_url:
                    type:
                      - string
                      - 'null'
                    format: uri
                    description: >-
                      The log page in the Kombo UI lists every interaction with
                      full details. If you need assistance, share that link with
                      our support team.
                required:
                  - code
                  - title
                  - message
                  - log_url
                description: Error details with structured code for programmatic handling.
            required:
              - status
              - error
          examples:
            Error Response:
              description: >-
                When building error handling logic, always use the `code` field
                to identify specific error types programmatically. See the
                complete list of error codes in the
                [docs](https://docs.kombo.dev/guides/errors).
              value:
                status: error
                error:
                  code: INTEGRATION.MODEL_NOT_AVAILABLE
                  title: >-
                    This data model isn't supported for the selected
                    integration.
                  message: >-
                    The "employees" model is not yet available for Greenhouse.
                    Please reach out to Kombo if you need this functionality.
                  log_url: https://app.kombo.dev/my-prod/logs?interactionId=123456
            Minimal Error Response:
              description: >-
                The "message" is always required while other fields can also be
                `null`. See the [docs](https://docs.kombo.dev/guides/errors) for
                more information.
              value:
                status: error
                error:
                  code: null
                  title: null
                  message: The message is always in the response.
                  log_url: null
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      description: >-
        Create an API key on the [Secrets](https://app.kombo.dev/secrets) page
        in the Kombo dashboard.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.